curl --request POST \
--url https://api.hubapi.com/marketing/v3/marketing-events/attendance/{externalEventId}/{subscriberState}/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"interactionDateTime": 123,
"properties": {},
"vid": 123
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"vid": 123
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}Registra la participación de múltiples contactos de HubSpot en un evento de marketing utilizando sus ID de contacto de HubSpot
Funciones adicionales:
Propiedades permitidas: Para el estado “asistir”:
curl --request POST \
--url https://api.hubapi.com/marketing/v3/marketing-events/attendance/{externalEventId}/{subscriberState}/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"interactionDateTime": 123,
"properties": {},
"vid": 123
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"vid": 123
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
Lista de contactos de HubSpot para suscribir al evento de marketing
Show child attributes
successful operation
Marca de tiempo que representa cuándo terminó de procesarse la solicitud
Show child attributes
Marca de tiempo que representa cuándo comenzó a procesarse la solicitud
El estado de procesamiento de la solicitud
CANCELED, COMPLETE, PENDING, PROCESSING Show child attributes
Resultado de la solicitud
Show child attributes
El número de errores que se produjeron durante el procesamiento
Marca de tiempo que representa cuándo se hizo la solicitud